From patchwork Mon Nov 14 12:48:40 2022
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Patchwork-Submitter: Jason Yan <yanaijie@huawei.com>
X-Patchwork-Id: 183108
Return-Path: <yanaijie@huawei.com>
Received: from dggems703-chm.china.huawei.com (10.3.19.180) by
 dggems702-chm.china.huawei.com (10.3.19.179) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31 via Mailbox Transport; Mon, 14 Nov 2022 20:32:16 +0800
Received: from canpemm500004.china.huawei.com (7.192.104.92) by
 dggems703-chm.china.huawei.com (10.3.19.180) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31; Mon, 14 Nov 2022 20:32:16 +0800
Received: from huawei.com (10.175.127.227) by canpemm500004.china.huawei.com
 (7.192.104.92) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.2375.31; Mon, 14 Nov
 2022 20:32:15 +0800
From: Jason Yan <yanaijie@huawei.com>
To: <yanaijie@huawei.com>, <zhengzengkai@huawei.com>, <xiexiuqi@huawei.com>,
	<yi.zhang@huawei.com>, <patchwork@huawei.com>, <kernel.openeuler@huawei.com>,
	<houtao1@huawei.com>
Subject: [PATCH OLK-5.10 v2 011/308] cifsd: remove unneeded FIXME comments
Date: Mon, 14 Nov 2022 20:48:40 +0800
Message-ID: <20221114125337.1831594-12-yanaijie@huawei.com>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20221114125337.1831594-1-yanaijie@huawei.com>
References: <20221114125337.1831594-1-yanaijie@huawei.com>
Content-Type: text/plain
X-MS-Exchange-Organization-Network-Message-Id: 
 db5b6905-b6de-4740-e91e-08dac63c43b0
X-MS-Exchange-Organization-AuthSource: canpemm500004.china.huawei.com
X-MS-Exchange-Organization-AuthAs: Internal
X-MS-Exchange-Organization-AuthMechanism: 07
X-Originating-IP: [10.175.127.227]
X-ClientProxiedBy: dggems702-chm.china.huawei.com (10.3.19.179) To
 canpemm500004.china.huawei.com (7.192.104.92)
X-MS-Exchange-Transport-EndToEndLatency: 00:00:00.7011317
X-MS-Exchange-Processed-By-BccFoldering: 15.01.2375.031
MIME-Version: 1.0

From: Sergey Senozhatsky <senozhatsky@chromium.org>

mainline inclusion
from mainline-5.15-rc1
commit 2e2b0dda188993c86490cca02892a9a6e1449f5d
category: feature
bugzilla: https://gitee.com/openeuler/kernel/issues/I60T7G
CVE: NA

Reference: https://git.kernel.org/torvalds/linux/c/2e2b0dda1889

-------------------------------

Remove unneeded FIXME comments.

Signed-off-by: Sergey Senozhatsky <senozhatsky@chromium.org>
Signed-off-by: Namjae Jeon <namjae.jeon@samsung.com>
Signed-off-by: Steve French <stfrench@microsoft.com>
Signed-off-by: Jason Yan <yanaijie@huawei.com>
---
 fs/cifsd/mgmt/share_config.c | 1 -
 fs/cifsd/mgmt/share_config.h | 2 --
 fs/cifsd/mgmt/tree_connect.c | 1 -
 fs/cifsd/mgmt/tree_connect.h | 2 +-
 fs/cifsd/mgmt/user_config.c  | 1 -
 fs/cifsd/mgmt/user_config.h  | 3 +--
 fs/cifsd/mgmt/user_session.c | 1 -
 fs/cifsd/server.c            | 2 --
 fs/cifsd/smb_common.c        | 1 -
 fs/cifsd/transport_ipc.c     | 3 ---
 fs/cifsd/transport_ipc.h     | 1 -
 fs/cifsd/vfs_cache.c         | 4 ----
 12 files changed, 2 insertions(+), 20 deletions(-)

diff --git a/fs/cifsd/mgmt/share_config.c b/fs/cifsd/mgmt/share_config.c
index 0593702babfe..9bc7f7555ee2 100644
--- a/fs/cifsd/mgmt/share_config.c
+++ b/fs/cifsd/mgmt/share_config.c
@@ -16,7 +16,6 @@
 #include "user_session.h"
 #include "../buffer_pool.h"
 #include "../transport_ipc.h"
-#include "../ksmbd_server.h" /* FIXME */
 
 #define SHARE_HASH_BITS		3
 static DEFINE_HASHTABLE(shares_table, SHARE_HASH_BITS);
diff --git a/fs/cifsd/mgmt/share_config.h b/fs/cifsd/mgmt/share_config.h
index c47b874bd80b..49ca89667991 100644
--- a/fs/cifsd/mgmt/share_config.h
+++ b/fs/cifsd/mgmt/share_config.h
@@ -10,8 +10,6 @@
 #include <linux/hashtable.h>
 #include <linux/path.h>
 
-#include "../glob.h"  /* FIXME */
-
 struct ksmbd_share_config {
 	char			*name;
 	char			*path;
diff --git a/fs/cifsd/mgmt/tree_connect.c b/fs/cifsd/mgmt/tree_connect.c
index 2be7b2e2e3cd..d5670f2596a3 100644
--- a/fs/cifsd/mgmt/tree_connect.c
+++ b/fs/cifsd/mgmt/tree_connect.c
@@ -6,7 +6,6 @@
 #include <linux/list.h>
 #include <linux/slab.h>
 
-#include "../ksmbd_server.h" /* FIXME */
 #include "../buffer_pool.h"
 #include "../transport_ipc.h"
 #include "../connection.h"
diff --git a/fs/cifsd/mgmt/tree_connect.h b/fs/cifsd/mgmt/tree_connect.h
index 46237cd05b9c..4e40ec3f4774 100644
--- a/fs/cifsd/mgmt/tree_connect.h
+++ b/fs/cifsd/mgmt/tree_connect.h
@@ -8,7 +8,7 @@
 
 #include <linux/hashtable.h>
 
-#include "../ksmbd_server.h" /* FIXME */
+#include "../ksmbd_server.h"
 
 struct ksmbd_share_config;
 struct ksmbd_user;
diff --git a/fs/cifsd/mgmt/user_config.c b/fs/cifsd/mgmt/user_config.c
index 1ab68f80f72e..a1a454bfb57b 100644
--- a/fs/cifsd/mgmt/user_config.c
+++ b/fs/cifsd/mgmt/user_config.c
@@ -8,7 +8,6 @@
 #include "user_config.h"
 #include "../buffer_pool.h"
 #include "../transport_ipc.h"
-#include "../ksmbd_server.h" /* FIXME */
 
 struct ksmbd_user *ksmbd_login_user(const char *account)
 {
diff --git a/fs/cifsd/mgmt/user_config.h b/fs/cifsd/mgmt/user_config.h
index 5cda4a5d3e2f..b2bb074a0150 100644
--- a/fs/cifsd/mgmt/user_config.h
+++ b/fs/cifsd/mgmt/user_config.h
@@ -6,8 +6,7 @@
 #ifndef __USER_CONFIG_MANAGEMENT_H__
 #define __USER_CONFIG_MANAGEMENT_H__
 
-#include "../glob.h"  /* FIXME */
-#include "../ksmbd_server.h" /* FIXME */
+#include "../glob.h"
 
 struct ksmbd_user {
 	unsigned short		flags;
diff --git a/fs/cifsd/mgmt/user_session.c b/fs/cifsd/mgmt/user_session.c
index d9f6dbde850a..afcdf76a3851 100644
--- a/fs/cifsd/mgmt/user_session.c
+++ b/fs/cifsd/mgmt/user_session.c
@@ -14,7 +14,6 @@
 #include "../transport_ipc.h"
 #include "../connection.h"
 #include "../buffer_pool.h"
-#include "../ksmbd_server.h" /* FIXME */
 #include "../vfs_cache.h"
 
 static struct ksmbd_ida *session_ida;
diff --git a/fs/cifsd/server.c b/fs/cifsd/server.c
index b9e114f8a5d2..4db443cd6dd1 100644
--- a/fs/cifsd/server.c
+++ b/fs/cifsd/server.c
@@ -102,8 +102,6 @@ static inline int check_conn_state(struct ksmbd_work *work)
 	return 0;
 }
 
-/* @FIXME what a mess... god help. */
-
 #define TCP_HANDLER_CONTINUE	0
 #define TCP_HANDLER_ABORT	1
 
diff --git a/fs/cifsd/smb_common.c b/fs/cifsd/smb_common.c
index f7560b68b820..7eb6d98656c7 100644
--- a/fs/cifsd/smb_common.c
+++ b/fs/cifsd/smb_common.c
@@ -8,7 +8,6 @@
 #include "server.h"
 #include "misc.h"
 #include "smbstatus.h"
-/* @FIXME */
 #include "connection.h"
 #include "ksmbd_work.h"
 #include "mgmt/user_session.h"
diff --git a/fs/cifsd/transport_ipc.c b/fs/cifsd/transport_ipc.c
index b91fa265f85d..c49e46fda9b1 100644
--- a/fs/cifsd/transport_ipc.c
+++ b/fs/cifsd/transport_ipc.c
@@ -28,9 +28,6 @@
 #include "connection.h"
 #include "transport_tcp.h"
 
-/* @FIXME fix this code */
-extern int get_protocol_idx(char *str);
-
 #define IPC_WAIT_TIMEOUT	(2 * HZ)
 
 #define IPC_MSG_HASH_BITS	3
diff --git a/fs/cifsd/transport_ipc.h b/fs/cifsd/transport_ipc.h
index 68c003027811..6ed7cbea727e 100644
--- a/fs/cifsd/transport_ipc.h
+++ b/fs/cifsd/transport_ipc.h
@@ -7,7 +7,6 @@
 #define __KSMBD_TRANSPORT_IPC_H__
 
 #include <linux/wait.h>
-#include "ksmbd_server.h"  /* FIXME */
 
 #define KSMBD_IPC_MAX_PAYLOAD	4096
 
diff --git a/fs/cifsd/vfs_cache.c b/fs/cifsd/vfs_cache.c
index 8d8c4e373308..af92fab5b7ae 100644
--- a/fs/cifsd/vfs_cache.c
+++ b/fs/cifsd/vfs_cache.c
@@ -8,18 +8,14 @@
 #include <linux/slab.h>
 #include <linux/vmalloc.h>
 
-/* @FIXME */
 #include "glob.h"
 #include "vfs_cache.h"
 #include "buffer_pool.h"
-
 #include "oplock.h"
 #include "vfs.h"
 #include "connection.h"
 #include "mgmt/tree_connect.h"
 #include "mgmt/user_session.h"
-
-/* @FIXME */
 #include "smb_common.h"
 
 #define S_DEL_PENDING			1

